Subject: Re: Errata on RFC8200

From: Fernando Gont <[email-masked]>
Date: Fri, 7 Jun 2019 15:39:10 +0300

Ping?

On 3/1/19 04:01, Fernando Gont wrote:
> Folks,
> 
> There's currently errata in the "Reported" state for RFC8200. Some is
> mostly editorial, but the Fragmentation-related part seems to warrant a fix.
> 
> So I'm curious about how to proceed here.
> 
> I guess, the first part would be to process the errata (confirm it if
> it's accurate, since it's still in "reported" state). Tehn I guess one
> option might be to leave it as such, while another could be to do a
> quick rev, specifically targetting the errata that has been reported so far?
> 
> Thoughts?
> 
> Thanks,
> 

-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Nick Hilliard <[email-masked]>
Date: Sat, 8 Jun 2019 23:26:26 +0100

To put these errata in context, section 4.5 of rfc8200 defines:

>    original packet:
> 
>    +------------------+-------------------------+---//----------------+
>    |  Per-Fragment    | Extension & Upper-Layer |   Fragmentable      |
>    |    Headers       |       Headers           |      Part           |
>    +------------------+-------------------------+---//----------------+

The text then defines the Fragmentable Part as being separate to the 
Extension & Upper-Layer Headers part.

Comparing this against rfc2460, it's clear that the Fragmentable Part 
defined in section 4.5 of rfc2460 includes both the rfc8200 Fragmentable 
Part and the rfc8200 Extension & Upper-Layer Headers.  This is important 
because if someone implements ipv6 fragmentation as specified in 8200, 
it will not interoperate with the rfc2460 spec.

On this basis, errata 5170, 5171 and 5172 should be verified.

Regarding the others:

5173: is a typo and should be verified
5256: oops, cut-n-paste typo. Should be verified.
5259: this is a nit.
5506: looks ok.

Nick

---

From: Fernando Gont <[email-masked]>
Date: Mon, 17 Jun 2019 18:07:54 +0200

Folks,

Given this is the core IPv6 spec, it is certainly the most (or one of
the most) important documents this wg maintains.

I have asked a few times about how to handle the errata, and so far only
got a response from Nick (essentially arguing that the errata should be
accepted).

Thoughts?

Thanks,
Fernando

---

From: Bob Hinden <[email-masked]>
Date: Mon, 17 Jun 2019 09:25:24 -0700

Fernando,

I will review this, will have a report before or at the Montreal 6man session.

Sorry for the delay.

Bob

> On Jun 17, 2019, at 9:07 AM, Fernando Gont <[email-masked]> wrote:
> 
> Folks,
>

---

From: Michael Richardson <[email-masked]>
Date: Mon, 17 Jun 2019 12:35:27 -0400

> the most) important documents this wg maintains.

I think that for editorial stuff, the WG should have a Consensus Call, and
mark it as accepted.

For the Fragment-related stuff, a document that Updates: 8200 is the right
process.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-